codeforsanjose codeforsanjose

findahome

4 20 1

A web application built to help individuals find affordable housing.

You have 5 open security alerts

Reports Beta

Some reports are compatible with your project but none of them has been enabled.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems ember-cli-rails 0.8.4 >= 0 0.10.0

ember-cli-rails version 0.8.4

Integration between Ember CLI and Rails

This dependency is not matching latest version. Please consider upgrading.

Gems ember-rails 0.20.6 >= 0 0.21.0

ember-rails version 0.20.6

Ember for Rails 3.1+

This dependency is not matching latest version. Please consider upgrading.

Gems geocoder 1.4.3 = 1.4.3 1.4.4

geocoder version 1.4.3

Provides object geocoding (by street or IP address), reverse geocoding (coordinates to street address), distance queries for ActiveRecord and Mongoid, result caching, and more. Designed for Rails but works with Sinatra and other Rack frameworks too.

This dependency is not matching latest version. Please consider upgrading.

Gems mechanize 2.7.5 >= 0 2.7.5

mechanize version 2.7.5

The Mechanize library is used for automating interaction with websites. Mechanize automatically stores and sends cookies, follows redirects, and can follow links and submit forms. Form fields can be populated and submitted. Mechanize also keeps track of the sites that you have visited as a history.

This dependency is up-to-date. Congrats and keep going!

Gems pg 0.20.0 ~> 0.18 0.21.0

pg version 0.20.0

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.1 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

This dependency is not matching latest version. Please consider upgrading.

Gems puma 3.8.2 ~> 3.0 3.10.0

puma version 3.8.2

Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack applications. Puma is intended for use in both development and production environments. It's great for highly concurrent Ruby implementations such as Rubinius and JRuby as well as as providing process worker support to support CRuby well.

This dependency is not matching latest version. Please consider upgrading.

Gems rails 5.0.2 ~> 5.0.1 5.1.4

rails version 5.0.2

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is not matching latest version. Please consider upgrading.

Gems redis 3.3.3 ~> 3.0 4.0.1

redis version 3.3.3

A Ruby client that tries to match Redis' API one-to-one, while still providing an idiomatic interface.

This dependency is not matching latest version. Please consider upgrading.

Gems rollbar 2.14.0 = 2.14.0 2.15.5

rollbar version 2.14.0

Easy and powerful exception tracking for Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems rspec_junit_formatter 0.2.3 = 0.2.3 0.3.0

rspec_junit_formatter version 0.2.3

RSpec results that your continuous integration service can read.

This dependency is not matching latest version. Please consider upgrading.

Gems sprockets 3.6.3 = 3.6.3 3.7.1

sprockets version 3.6.3

Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

This dependency is not matching latest version. Please consider upgrading.

Gems tzinfo-data 1.2017.1 >= 0 1.2017.3

tzinfo-data version 1.2017.1

TZInfo::Data contains data from the IANA Time Zone database packaged as Ruby modules for use with TZInfo.

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Gems byebug 9.0.6 >= 0 9.1.0

byebug version 9.0.6

Byebug is a Ruby debugger. It's implemented using the TracePoint C API for execution control and the Debug Inspector C API for call stack navigation. The core component provides support that front-ends can build on. It provides breakpoint handling and bindings for stack frames among other things and it comes with an easy to use command line interface.

This dependency is not matching latest version. Please consider upgrading.

Gems coveralls >= 0 0.8.21

coveralls

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems listen 3.0.8 ~> 3.0.5 3.1.5

listen version 3.0.8

The Listen gem listens to file modifications and notifies you about the changes. Works everywhere!

This dependency is not matching latest version. Please consider upgrading.

Gems rails-controller-testing 1.0.1 >= 0 1.0.2

rails-controller-testing version 1.0.1

Extracting `assigns` and `assert_template` from ActionDispatch.

This dependency is not matching latest version. Please consider upgrading.

Gems rspec-rails 3.5.2 >= 0 3.7.1

rspec-rails version 3.5.2

rspec-rails is a testing framework for Rails 3+.

This dependency is not matching latest version. Please consider upgrading.

Gems rubocop 0.47.1 >= 0 0.51.0

rubocop version 0.47.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Security alert:

Gems sidekiq 4.2.9 >= 0 5.0.5

sidekiq version 4.2.9

Simple, efficient background processing for Ruby.

This dependency is not matching latest version. Please consider upgrading.

Gems sidekiq-batch 0.1.2 >= 0 0.1.4

sidekiq-batch version 0.1.2

Sidekiq Batch Jobs Implementation

This dependency is not matching latest version. Please consider upgrading.

Gems sidekiq-scheduler 2.1.2 >= 0 2.1.10

sidekiq-scheduler version 2.1.2

Light weight job scheduling extension for Sidekiq that adds support for queueinga jobs in a recurring way.

This dependency is not matching latest version. Please consider upgrading.

Gems spring 2.0.1 >= 0 2.0.2

spring version 2.0.1

Preloads your application so things like console, rake and tests run faster

This dependency is not matching latest version. Please consider upgrading.

Gems spring-watcher-listen 2.0.1 ~> 2.0.0 2.0.1

spring-watcher-listen version 2.0.1

Makes spring watch files using the listen gem.

This dependency is up-to-date. Congrats and keep going!

Gems vcr 3.0.3 >= 0 3.0.3

vcr version 3.0.3

Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests.

This dependency is up-to-date. Congrats and keep going!

Gems webmock 2.3.2 >= 0 3.1.0

webmock version 2.3.2

WebMock allows stubbing HTTP requests and setting expectations on HTTP requests.

This dependency is not matching latest version. Please consider upgrading.